TOUPPER(3)

NAME
toupper - lower case to upper case letter conversion

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
toupper(int c);

DESCRIPTION
The toupper() function converts a lower-case letter to the corresponding upper-case letter. For 8-bit wide locales the value of the argument is representable as an unsigned char or the value of EOF. If the argument is a lower-case letter, the toupper() function returns the corresponding upper-case letter if there is one; otherwise the argument is returned unchanged.

SEE ALSO
isalnum(3), isalpha(3), isascii(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), ascii(7)

STANDARDS
The toupper() function conforms to ansiC.